Bug 95682 - Spelling and Grammar dialog - put a button to open Special Character dialog
Summary: Spelling and Grammar dialog - put a button to open Special Character dialog
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: low enhancement
Assignee: Caolán McNamara
QA Contact:
URL:
Whiteboard: target:5.1.0
Keywords: needsDevEval, topicUI
Depends on:
Blocks: Matters-to-Caolan
  Show dependency treegraph
 
Reported: 2015-11-08 22:15 UTC by jirib
Modified: 2016-08-14 10:59 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot from Abby Finereader for Add character dialog (20.38 KB, image/png)
2015-11-08 22:15 UTC, jirib
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jirib 2015-11-08 22:15:46 UTC
Created attachment 120392 [details]
Screenshot from Abby Finereader for Add character dialog

[RFE] Spelling and Grammer dialog - put a button to open Special Character dialog. This would be handy for users who correct multi-lingual text and they don't know how to write special characters for particular language, or to put valid quotation mark for special language...

(An idea based on Abby Finereader's 'Verify Text windows'. Screenshot from Finereader.)
Comment 1 Joel Madero 2015-11-08 22:47:02 UTC
Functional request - marking as NEW and requesting dev input to try to get it into easy hack territory.

Thanks for the suggestion.
Comment 2 Cor Nouws 2015-11-09 09:13:11 UTC
For time being: Ctrl+Shift+S does the trick too - but not so obvious as a button, indeed :)
Comment 3 Commit Notification 2015-11-13 10:19:05 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b08b76774fbd253cba587207d471f9bf0c0b0a82

Resolves: tdf#95682 spell dialog: add a button to open special character

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2015-11-13 11:32:11 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=de0a391137080a18e73f315b6dc5342b5b078574

Related: tdf#95682 set edit to modified after insert symbol/paste

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 jirib 2015-11-15 11:29:59 UTC
(In reply to Cor Nouws from comment #2)
> For time being: Ctrl+Shift+S does the trick too - but not so obvious as a
> button, indeed :)

Ctrl-Shift-S is Save dialog.
Comment 6 Cor Nouws 2015-11-15 13:25:12 UTC
(In reply to jirib from comment #5)
> (In reply to Cor Nouws from comment #2)
> > For time being: Ctrl+Shift+S does the trick too - but not so obvious as a
> > button, indeed :)
> 
> Ctrl-Shift-S is Save dialog.

Not when the cursor is for input in the spelling and grammar or the search and replace dialog.
Comment 7 Robinson Tryon (qubit) 2015-12-16 05:33:40 UTC
Migrating Whiteboard tags to Keywords: (needsDevEval topicUI)
[NinjaEdit]